.fly_btn, .catalog_btn {
    box-shadow: 0px 0px 0px 7px rgba(104, 224, 127, 0.4);
    background: linear-gradient(45deg, #48bb6a, #5fce80);
    width: 80px;
    height: 80px;
    position: fixed;
    bottom: 70px;
    left: 70px;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: content-box;
    transition: .3s;
    z-index: 9;
    will-change: transform;
}

.fly_btn:hover, .catalog_btn:hover {
    box-shadow: 0px 0px 0px 4px rgba(104, 224, 127, 0.2);
    cursor: pointer;
    transform: scale(1.1);
}

.fly_btn[data-color="fiolet"] {
    box-shadow: 0px 0px 0px 7px rgba(140, 104, 224, 0.4);
    background: linear-gradient(45deg, #4c48bb, #655fce);
}

.fly_btn[data-color="fiolet"]:hover {
    box-shadow: 0px 0px 0px 6px rgba(140, 104, 224, 0.2);
}

.fly_btn[data-color="red"] {
    box-shadow: 0px 0px 0px 7px rgba(224, 104, 125, 0.4);
    background: linear-gradient(45deg, #bb484b, #ce5f5f);
}

.fly_btn[data-color="red"]:hover {
    box-shadow: 0px 0px 0px 6px rgba(224, 104, 125, 0.2);
}

.fly_btn[data-color="green"] {
    box-shadow: 0px 0px 0px 7px rgba(104, 224, 127, 0.4);
    background: linear-gradient(45deg, #48bb6a, #5fce80);
}

.fly_btn[data-color="green"]:hover {
    box-shadow: 0px 0px 0px 6px rgba(104, 224, 127, 0.2);
}

.fly_btn[data-color="yellow"] {
    box-shadow: 0px 0px 0px 7px rgba(224, 210, 104, 0.4);
    background: linear-gradient(45deg, #bba448, #dcc842);
}

.fly_btn[data-color="yellow"]:hover {
    box-shadow: 0px 0px 0px 6px rgba(224, 210, 104, 0.2);
}

.fly_btn[data-color="blue"] {
    box-shadow: 0px 0px 0px 7px rgba(104, 195, 224, 0.4);
    background: linear-gradient(45deg, #4889bb, #42acdc);
}

.fly_btn[data-color="blue"]:hover {
    box-shadow: 0px 0px 0px 6px rgba(104, 195, 224, 0.2);
}

.fly_btn[data-color="dark"] {
    box-shadow: 0px 0px 0px 7px rgba(162, 162, 162, 0.4);
    background: linear-gradient(45deg, #545454, #737373);
}

.fly_btn[data-color="dark"]:hover {
    box-shadow: 0px 0px 0px 6px rgba(162, 162, 162, 0.2);
}

.fly_btn_link, .catalog_btn_inner {
    color: #FFFFFF;
    font-weight: bold;
    font-size: 14px;
    line-height: 1.2;
    text-align: center;
    text-decoration: none;
    display: inline-block;
}

@media(max-width: 600px) {
    .fly_btn_hide_on_mob {
        display: none;
    }

    .fly_btn {
        width: 75px;
        height: 75px;
        left: 20px;
        bottom: 20px;
    }

    .fly_btn_link {
        font-size: 13px;
    }
}
